--
-- $Id$
--
-- Update de standaardmeldingen "Huisvesting" en "Inventaris" zodat het veld "dubbele meldingen controleren" voor deze meldingen staat op "bij invoeren en accepteren".
-- mld_stdmelding = de meldingen
-- mld_stdmelding_doublecheck = instelling voor dubbel controleren
-- De ins_srtdiscipline_key is het nummer van het vakgroeptype (huisvesting en inventaris)

DEFINE thisfile = 'SUTF#40313.SQL'
DEFINE dbuser   = '^SUTF'
DEFINE custid   = 'SUTF'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE
mld_stdmelding
SET mld_stdmelding_doublecheck = 3
where mld_ins_discipline_key IN (SELECT ins_discipline_key FROM mld_discipline WHERE ins_srtdiscipline_key IN(62,63));

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

-- @@ &custid